Is MySQL version 8.2 compatible with DM?

Note:
This topic has been translated from a Chinese forum by GPT and might contain errors.

Original topic: MySQL版本是8.2 dm兼容么

| username: Hacker_suny

[Test Environment for TiDB] Testing
[TiDB Version] 7.5
[Encountered Issue] I have a question. If my upstream database is an MySQL 8.2 MGR cluster, how can I use DM to synchronize data to TiDB? Are there any additional compatibility requirements?

| username: tidb菜鸟一只 | Original post link

You can use DM 7.5, as version 7.5 is already compatible with MySQL 8.

| username: Hacker_suny | Original post link

What I don’t quite understand is whether 7.5 is compatible with the entire MySQL 8 series or just the MySQL 8.0 series, because I see the official documentation states * MySQL version = 8.0 (experimental feature).

| username: TiDBer_QYr0vohO | Original post link

I think the problem is that the tidb-server process is not running. You can check if the process is running with the following command:

ps -ef | grep tidb-server

If it is not running, you can start it with the following command:

tidb-server --config=conf/tidb.toml
| username: TiDBer_RjzUpGDL | Original post link

Impressive, are you already using 8.2?

| username: tidb菜鸟一只 | Original post link

Actually, it is basically already compatible, but it may not be compatible with all MySQL 8 features. The later versions of DM will be updated along with TiDB versions. However, you can use a higher version of DM with a lower version of TiDB. For example, if your TiDB cluster version is 7.5, you can use DM 8.0 (of course, this is just an example; generally, it is not recommended to use DMR versions, and it is suggested to use the highest version of LTS).

| username: zhang_2023 | Original post link

Use the latest version of DM.

| username: 数据库真NB | Original post link

Compatible

| username: Jack-li | Original post link

Compatible

| username: dba远航 | Original post link

There are no compatibility issues.

| username: xiaoqiao | Original post link

No problem. Are there any new features in 8.2 that are not in actual use?

| username: wangkk2024 | Original post link

7.5

| username: 呢莫不爱吃鱼 | Original post link

It should be compatible.

| username: 健康的腰间盘 | Original post link

Compatible

| username: kkpeter | Original post link

Geometry type data is not supported.

| username: zhaokede | Original post link

It is temporarily not recommended for production use.

| username: zhang_2023 | Original post link

The new version of TiDB is compatible.